summaryrefslogtreecommitdiffstats
path: root/mail/pine4-ssl/files
diff options
context:
space:
mode:
authornsayer <nsayer@FreeBSD.org>1999-06-23 07:30:55 +0000
committernsayer <nsayer@FreeBSD.org>1999-06-23 07:30:55 +0000
commit0f648cda881c83ff0967ce34102fd9c65b86114d (patch)
tree7e8267375368d8bab3c85ff5b6a7c4137d988207 /mail/pine4-ssl/files
parent7a68838c32e4fae9e5930511651a919f89c79386 (diff)
downloadFreeBSD-ports-0f648cda881c83ff0967ce34102fd9c65b86114d.zip
FreeBSD-ports-0f648cda881c83ff0967ce34102fd9c65b86114d.tar.gz
Second try at importing the pine4 + SSL port
Diffstat (limited to 'mail/pine4-ssl/files')
-rw-r--r--mail/pine4-ssl/files/dot.pinerc.pgp.sample16
-rw-r--r--mail/pine4-ssl/files/pgpdecode51
-rw-r--r--mail/pine4-ssl/files/pgpencrypt11
-rw-r--r--mail/pine4-ssl/files/pgpsign11
4 files changed, 89 insertions, 0 deletions
diff --git a/mail/pine4-ssl/files/dot.pinerc.pgp.sample b/mail/pine4-ssl/files/dot.pinerc.pgp.sample
new file mode 100644
index 0000000..1f7df9e
--- /dev/null
+++ b/mail/pine4-ssl/files/dot.pinerc.pgp.sample
@@ -0,0 +1,16 @@
+# List of features; see Pine's Setup/options menu for the current set.
+# e.g. feature-list= select-without-confirm, signature-at-bottom
+# Default condition for all of the features is no-.
+feature-list=compose-send-offers-first-filter
+
+# This variable takes a list of programs that message text is piped into
+# after MIME decoding, prior to display.
+display-filters="-----BEGIN PGP" /usr/local/bin/pgpdecode
+
+# This defines a program that message text is piped into before MIME
+# encoding, prior to sending
+sending-filters=/usr/local/bin/pgpsign,
+ /usr/local/bin/pgpencrypt _RECIPIENTS_
+
+# hook, to get rid of the sucking 'quoted printable' ;-))
+# enable-8bit-esmtp-negotiation
diff --git a/mail/pine4-ssl/files/pgpdecode b/mail/pine4-ssl/files/pgpdecode
new file mode 100644
index 0000000..4062593
--- /dev/null
+++ b/mail/pine4-ssl/files/pgpdecode
@@ -0,0 +1,51 @@
+#! /bin/sh
+# ---------- pgpdecode ---------
+# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
+#
+# Sun Mar 24 12:01:21 MET 1996 Andreas Klemm <andreas@knobel.gun.de>
+# The tmp files in the original version were world readable for
+# the short time of unpacking, setting suitable umask prevents this
+#
+# Wed Sep 16 21:35:43 WST 1997 Anthony Di Pietro <anthony@dino.omen.com.au>
+# Modified to work with both PGP v2 and PGP v5.
+# Now uses mktemp to prevent symlink attack and tmp races.
+
+umask 077
+
+MYNAME=`basename $0`
+
+STDOUT=`mktemp -q /tmp/${MYNAME}.XXXXXX`
+if [ $? -ne 0 ]
+then
+ echo "$0: Can't create temporary file to decode message."
+ exit 1
+fi
+
+trap "rm -f $STDOUT ; exit" 0 1 2 15
+
+STDERR=`mktemp -q /tmp/${MYNAME}.XXXXXX`
+if [ $? -ne 0 ]
+then
+ echo "$0: Can't create temporary file to decode message."
+ exit 1
+fi
+
+trap "rm -f $STDOUT $STDERR; exit" 0 1 2 15
+
+if [ -x /usr/local/bin/pgpv ]
+then
+ pgpv 2>&1 > $STDOUT |tee $STDERR > /dev/tty
+else
+ pgp -f 2>&1 > $STDOUT |tee $STDERR > /dev/tty
+fi
+
+cat $STDERR | \
+grep -v '^No files specified. Using stdin.$' | \
+grep -v '^Opening file \"stdout\" type text.$' | \
+grep -v '^Opening file \"stdout\" type binary.$' | \
+grep -v '^Opening file \"/dev/null\" type text.$' | \
+grep -v '^Opening file \"/dev/null\" type binary.$' | \
+grep -v '^$'| \
+sed -e 's/^/| /'
+echo ""
+cat $STDOUT
diff --git a/mail/pine4-ssl/files/pgpencrypt b/mail/pine4-ssl/files/pgpencrypt
new file mode 100644
index 0000000..3baa1d2
--- /dev/null
+++ b/mail/pine4-ssl/files/pgpencrypt
@@ -0,0 +1,11 @@
+#!/bin/sh
+# ---------- pgpencrypt ---------
+# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
+# Wed 16 Sep 1998 23:46:43 WST Anthony Di Pietro <anthony@dino.omen.com.au>
+# Modified to work with both PGP v2 and PGP v5.
+if [ -x /usr/local/bin/pgpe ]
+then
+ pgpe -s -a -r $*
+else
+ pgp -feast $*
+fi
diff --git a/mail/pine4-ssl/files/pgpsign b/mail/pine4-ssl/files/pgpsign
new file mode 100644
index 0000000..6eff395
--- /dev/null
+++ b/mail/pine4-ssl/files/pgpsign
@@ -0,0 +1,11 @@
+#!/bin/sh
+# ---------- pgpsign ---------
+# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
+# Wed 16 Sep 1998 23:48:51 WST Anthony Di Pietro <anthony@dino.omen.com.au>
+# Modified to work with both PGP v2 and PGP v5.
+if [ -x /usr/local/bin/pgps ]
+then
+ pgps -a -t
+else
+ pgp -fast
+fi
OpenPOWER on IntegriCloud